View Issue Details

IDProjectCategoryView StatusLast Update
0005668Kali Linux[All Projects] Kali Package Bugpublic2019-09-05 14:19
Reporterhynek.petrak Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.2 
Target VersionFixed in Version2019.4 
Summary0005668: logrotate is not being started
DescriptionIt seems since June 2018 the logrotate is not being run on my Kali Rolling.

cat /etc/cron.daily/logrotate

# skip in favour of systemd timer
if [ -d /run/systemd/system ]; then
    exit 0
fi
....

However there are no systemd timers for logrotate:

systemctl list-timers --all
NEXT LEFT LAST PASSED UNIT ACTIVATES
Mon 2019-09-02 15:20:16 CEST 1h 57min left Sun 2019-09-01 15:20:15 CEST 22h ago systemd-tmpfiles-clean.timer systemd-tmpfiles-clean.service

1 timers listed.

Relationships

related to 0005160 closed no log rotation 

Activities

rhertzog

2019-09-05 14:19

administrator   ~0011052

This is fixed for new installations with base-files 2019.4.0.

Otherwise, you have to run "systemctl enable logrotate.timer" to make sure that logrotate will run.

Issue History

Date Modified Username Field Change
2019-09-02 11:23 hynek.petrak New Issue
2019-09-05 14:19 rhertzog Assigned To => rhertzog
2019-09-05 14:19 rhertzog Status new => resolved
2019-09-05 14:19 rhertzog Resolution open => fixed
2019-09-05 14:19 rhertzog Fixed in Version => 2019.4
2019-09-05 14:19 rhertzog Note Added: 0011052
2019-09-05 14:19 rhertzog Relationship added related to 0005160